summaryrefslogtreecommitdiff
path: root/dev-python/google-auth-oauthlib
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-23 19:11:26 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-23 19:11:26 +0000
commitc2c72a6d069149ecb31753fc14d5831edb7b744d (patch)
tree95b5b199bee02b4cf6b5cdcd86f8f4dd57546289 /dev-python/google-auth-oauthlib
parent7aef9701b4d5d8b6c7de39b6fbb56d242bb8082f (diff)
downloadbaldeagleos-repo-c2c72a6d069149ecb31753fc14d5831edb7b744d.tar.gz
baldeagleos-repo-c2c72a6d069149ecb31753fc14d5831edb7b744d.tar.xz
baldeagleos-repo-c2c72a6d069149ecb31753fc14d5831edb7b744d.zip
Adding metadata
Diffstat (limited to 'dev-python/google-auth-oauthlib')
-rw-r--r--dev-python/google-auth-oauthlib/Manifest1
-rw-r--r--dev-python/google-auth-oauthlib/google-auth-oauthlib-1.2.2.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/google-auth-oauthlib/Manifest b/dev-python/google-auth-oauthlib/Manifest
index d012afa2abc5..d326e17055cf 100644
--- a/dev-python/google-auth-oauthlib/Manifest
+++ b/dev-python/google-auth-oauthlib/Manifest
@@ -1 +1,2 @@
DIST google-auth-library-python-oauthlib-1.2.1.gh.tar.gz 74582 BLAKE2B 668f4c7c6640e6fd71d9c6135f5cdfe822f4170c8640b574e8fa7eb4e29b9645b95c002d9df2a595d465daceea2c4eeb111811729915bcb508ae5dc911e2f738 SHA512 d4b53eeb72f25128230c94d909fac1814727ee09e2133e9481f8c608ecf18003d571504215dceb7ec6450b289efb8b393cd33d9cbed12072a228644cc48539b5
+DIST google-auth-library-python-oauthlib-1.2.2.gh.tar.gz 55488 BLAKE2B ebc67448bc1bfa9ea2879bee5a655dbb0beca01e4e43abe712860c64628d764405339220695a508586175a7590f3fc08d2b87163ec9bb59a4197a968880b8492 SHA512 5e57320b4c6ffdde42975625268647afa02978cb0d6598ca2db9986fa4744f7f8740779c6010f99064a223661c879cc4928642d9a9ebc308aabd950cdfd232f3
diff --git a/dev-python/google-auth-oauthlib/google-auth-oauthlib-1.2.2.ebuild b/dev-python/google-auth-oauthlib/google-auth-oauthlib-1.2.2.ebuild
new file mode 100644
index 000000000000..c5fe4addaef8
--- /dev/null
+++ b/dev-python/google-auth-oauthlib/google-auth-oauthlib-1.2.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=google-auth-library-python-oauthlib-${PV}
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python-oauthlib/
+ https://pypi.org/project/google-auth-oauthlib/
+"
+SRC_URI="
+ https://github.com/googleapis/google-auth-library-python-oauthlib/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/click-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-oauthlib-0.7.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # remove mock dependency
+ # https://github.com/googleapis/google-auth-library-python-oauthlib/pull/351
+ find -name 'test_*.py' -exec \
+ sed -i -e 's:import mock:from unittest import mock:' {} + || die
+}